<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CampaignPeopleList.aspx.cs" Inherits="RM.Web.Training.Campaign.CampaignPeopleList" %>
<%@ Register Src="/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<%@ Register Src="../../UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="refresh" content="60">
    <title>TKS - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CampaignPeopleList")%></title>  <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/DatePicker/WdatePicker.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/jquery.elevateZoom-3.0.8.min.js" type="text/javascript"></script>
    <style type="text/css">
        td{max-width:150px;}    
        .xuanzhong
        {
            position:absolute;
            left:1395px;
        }
        .tp_{ width:200px; height:200px;}
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <span><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CampaignPeopleList")%></span>
        </div>
    </div>
     <div class="btnbarcontetn">
        <div style="text-align: right;">     
           <uc2:LoadButton ID="LoadButton1" runat="server" />          
        </div>
    </div>
    <div class="div-body">
        <%=TableHtml%>
     
    </div>    
    
      <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
    <script type="text/javascript">

        $(function () {
            $("#table1 tr").each(function () {
                var value = $(this).find("td").eq(9).text();
                $(this).find("td").eq(9).html("<img class=\"tp\" src='" + value + "' width=\"50px;\" height=\"50px;\">");
                $(this).find("td").eq(9).append("<div class=\"xuanzhong\" style=\"display:none;\"><img class=\"tp_\" src='" + value + "' /></div>");
            });
            $(".tp").mouseover(function () {
                $(this).parent().find(".xuanzhong").css("display", "block");
            });
            $(".tp").mouseleave(function () {
                $(this).parent().find(".xuanzhong").css("display", "none");
            });
        });
        $(function () {
            //把分页定位到屏幕下面
            divresize(90);
            fixedtableheader("#table1", $(window).height() - 121);
            $(".div-body").pullbox({ dv: $(".div-body"), obj: $("#table1").find("tr") });
        });
       function add() {
            var url = "/Training/Campaign/CampaignPeopleForm.aspx?id=<%=ckey %>";
            top.openDialog(url, 'CampaignFormPeople_add', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CampaignPeopleList")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("AddPeople")%>', 400, 380, 50, 50);

        }
        //编辑
        function edit() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Training/Campaign/CampaignPeopleForm.aspx?id=<%=ckey %>&key=" + key;
                top.openDialog(url, 'CampaignFormPeople_edit', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CampaignPeopleList")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ModifyUser")%>', 400, 380, 50, 50);
            }
        }
        //删除
        function Delete() {
            var key = CheckboxValue();
            if (IsDelData(key)) {
                var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CampaignPeopleList")%>&tableName=TKS_CampaignPeople&pkName=CampaignPeople_Id&pkVal=' + key;
                delConfig('/Ajax/Common_Ajax.ashx', delparm)
            }
        }
        //导入
        function inport() {
            var url = "/Training/Campaign/ImportCampaignPeople.aspx?id=<%=ckey %>";
            top.openDialog(url, 'ImportCampaignPeople', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("UserInfo_Index")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Import")%>', 250, 130, 50, 50);
        }
        //返回
        function back() {

            window.location.href = "/Training/Campaign/CampaignList.aspx";

        }
        globalSetTags('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CampaignList")%>', 'primaryId'); 
    </script>
    <script src="/Themes/Scripts/CreateContextJs.js" type="text/javascript"></script>
</html>
